/**
 * Created by Shawn Liu on 17/4/19.
 */
module.exports = (scraped, retailer1, locale, filterDomain, excluedKeys) => {
    if (!scraped || !scraped.result || !retailer1) {
        let msg = '#formatStore():';
        if (!retailer1) {
            msg += 'retailerId is required. ';
        }
        if (scraped.status) {
            msg += ` googleAPI status: ${scraped.status}`;
        }
        throw new Error(msg);
    }
    let retailer = retailer1;
    const scrapedResult = scraped.result;
    if (scrapedResult.website && scrapedResult.website.indexOf('docmorris-apotheke.de') !== -1) {
        scrapedResult.website = scrapedResult.website.replace('docmorris-apotheke.de', 'docmorris.de');
    }

    if (retailer !== 'independent' && scrapedResult.website
        && scrapedResult.website.indexOf(retailer) === -1) {
        const msg = `#formatStore():Unexpected place ,
      the expected site is ${retailer}, but got ${scrapedResult.website}`;
        return Promise.reject({
            status: 'error',
            message: msg,
            placeId: scrapedResult.place_id,
            type: 'unexpected'
        });
    }
    if (scrapedResult.website && excluedKeys && excluedKeys.length) {
        const boolean = excluedKeys.some(t => scrapedResult.website.indexOf(t) !== -1);
        if (boolean) {
            return Promise.reject({
                status: 'error',
                message: `#formatStore():place is in the excludedKeys:${excluedKeys}`
            });
        }
    }
    // TODO
    const geometry = scrapedResult.geometry;
    const openingHours = scrapedResult.opening_hours || {};
    if (retailer === 'docmorris-apotheke.de') {
        retailer = 'docmorris.de';
    }
    return {
        placeId: scrapedResult.place_id,
        locale,
        retailer,
        type: scrapedResult.types,
        location: {
            type: 'Point',
            coordinates: [geometry.location.lng, geometry.location.lat]
        },
        summary: {
            name: scrapedResult.name,
            address: scrapedResult.formatted_address || '',
            phone: scrapedResult.formatted_phone_number || '',
            internationalPhone: scrapedResult.international_phone_number || '',
            weekdayText: openingHours.weekday_text || []
        },
        website: scrapedResult.website,
        openingHourPeriods: openingHours.periods || [],
        updateDate: new Date(),
    };
}